%{!?ruby_sitelib:	%global ruby_sitelib	%(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")}
%define		rubyabi		1.8
%define		repoid		20763

%define		modname		imagesize

Name:		ruby-%{modname}
Version:	0.1.1
Release:	2%{?dist}
Summary:	Measure image size code by Pure Ruby
Group:		Development/Languages

License:	Ruby
URL:		http://imagesize.rubyforge.org/
Source0:	http://rubyforge.org/frs/download.php/%{repoid}/%{modname}-%{version}.tgz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	ruby
BuildRequires:	ruby-devel
BuildRequires:	ruby(abi) = %{rubyabi}
Requires:	ruby(abi) = %{rubyabi}
Provides:	ruby(%{modname}) = %{version}-%{release}

%description
Imagefile measures image (GIF, PNG, JPEG ,,, etc) size code 
by Pure Ruby ["PCX", "PSD", "XPM", "TIFF", "XBM", "PGM", 
"PBM", "PPM", "BMP", "JPEG", "PNG", "GIF", "SWF"]

%prep
%setup -q -n %{modname}-%{version}

%{__chmod} 0644 README.txt
find . -name \*.rb -exec %{__chmod} 0644 {} ';'

# clean up
%{__sed} -i -e '1d' -e 's|\r||' lib/image_size.rb

%build
ruby setup.rb config \
	--prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--siteruby=%{ruby_sitelib}
ruby setup.rb setup

%install
%{__rm} -rf $RPM_BUILD_ROOT

ruby setup.rb install \
	--prefix=$RPM_BUILD_ROOT

%check
%{__sed} -i.ppm \
	-e "s|'ppm.ppm', ||" \
	-e '/PPM/d' \
	test/test_image_size.rb
ruby setup.rb test

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README.txt

%{ruby_sitelib}/image_size.rb
%{ruby_sitelib}/image_size/

%changelog
* Tue Feb 24 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.1.1-2
- %%global-ize "nested" macro

* Sat Nov  3 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.1.1-1
- Initial packaging
